### Constructor

# Peas Engine new_with_nonglobal_loaders

since: 1.14

#### Declaration [src]

    PeasEngine*
    peas_engine_new_with_nonglobal_loaders (
      void
    )

#### Description [src]

Return a new instance of `PeasEngine` which will use non-global plugin loaders instead of the default global ones.

This allows multiple threads to each have a `PeasEngine` and be used without internal locking.

Note: due to CPython’s GIL the python and python3 plugin loaders are always global.

Available since: 1.14

#### Return value

Type: `PeasEngine`

A new instance of `PeasEngine` that uses non-global loaders.

The caller of the function takes ownership of the data, and is responsible for freeing it.